Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047684
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo Localizations] Localization Portugalmajoralways2021-09-13 16:142021-09-16 10:59
ReporterucarrionView Statuspublic 
Assigned Topsanjuan 
PriorityhighResolutionopenFixed in Version
StatusacknowledgedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Regression introduced in release
Summary

0047684: The NIF is requested for a verified return even if it has been inserted during the sale

DescriptionFOUND IN 20Q3

While doing a return invoice for whose sale a NIF has been already inserted, the NIF popup is triggered where a user can insert a diffenent value. That can cause a fiscal incoherence what is risky for the OB users.
Steps To ReproducePreconditions: The Portuguese configuration must be enabled for the testing scenario

-Login a till
-Add an article
-Press the checkout button
-The NIF popup is displayed. Enter a value there: 123456789
-Pay and complete
-Do a verified return of the previous
-Press the checkout button
-NOTE that the NIF popup is back on the screen. It should not be triggered there.
Proposed SolutionIn case a taxID (NIF) is inserted for a sale (simplified invoice) that value must be saved anywhere so when doing the return of that sale that value is considered by default and no incoherences can be done. The popup should not be raised then.

IMPORTANT: On the other hand, in case no value has been inserted as NIF on the sale, the popup must be triggered during the return.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0131813)
psanjuan (manager)
2021-09-15 12:18

http://practicsbs.zendesk.com/hc/requests/11318 [^]
(0131856)
psanjuan (manager)
2021-09-16 10:19

Practics reply:
     

Jordi Casals (Practics Business Solutions)

15 sept. 2021 13:57 CEST
Hola de nuevo,

He realizado la prueba en mi entorno local y a mi no me ha aparecido el Popup al realizar la Devolución.

¿Podéis pasarnos más detalles sobre como reproducirlo?
(0131857)
psanjuan (manager)
2021-09-16 10:20

Request to RM team to clone 19Q3+performance code, in a new machine which will be upgraded to 20Q3

- Issue History
Date Modified Username Field Change
2021-09-13 16:14 ucarrion New Issue
2021-09-13 16:14 ucarrion Assigned To => psanjuan
2021-09-13 16:14 ucarrion Summary The NIF is requested => The NIF is requested for a verified return even if it has been inserted during the sale
2021-09-13 16:20 ucarrion Description Updated View Revisions
2021-09-15 12:18 psanjuan Note Added: 0131813
2021-09-15 14:30 vmromanos Status new => acknowledged
2021-09-16 10:19 psanjuan Note Added: 0131856
2021-09-16 10:20 psanjuan Note Added: 0131857
2021-09-16 10:59 ucarrion Issue Monitored: ucarrion


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker